package domain


type AlibabaWdkAxStoreQueryAxStoreQueryResponse struct {
    /*
        负责人姓名     */
    PrincipalName  *string `json:"principal_name,omitempty" `

    /*
        负责人     */
    Principal  *string `json:"principal,omitempty" `

    /*
        门店经营状态 1营业 0闭店     */
    Status  *int64 `json:"status,omitempty" `

    /*
        纬度     */
    Latitude  *string `json:"latitude,omitempty" `

    /*
        经度     */
    Longitude  *string `json:"longitude,omitempty" `

    /*
        地址     */
    Address  *string `json:"address,omitempty" `

    /*
        区编码     */
    Area  *string `json:"area,omitempty" `

    /*
        市编码     */
    City  *string `json:"city,omitempty" `

    /*
        省编码     */
    Prov  *string `json:"prov,omitempty" `

    /*
        门店名字     */
    Name  *string `json:"name,omitempty" `

    /*
        门店编码     */
    Code  *string `json:"code,omitempty" `

    /*
        商家code     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

}

func (s *AlibabaWdkAxStoreQueryAxStoreQueryResponse) SetPrincipalName(v string) *AlibabaWdkAxStoreQueryAxStoreQueryResponse {
    s.PrincipalName = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryAxStoreQueryResponse) SetPrincipal(v string) *AlibabaWdkAxStoreQueryAxStoreQueryResponse {
    s.Principal = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryAxStoreQueryResponse) SetStatus(v int64) *AlibabaWdkAxStoreQueryAxStoreQueryResponse {
    s.Status = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryAxStoreQueryResponse) SetLatitude(v string) *AlibabaWdkAxStoreQueryAxStoreQueryResponse {
    s.Latitude = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryAxStoreQueryResponse) SetLongitude(v string) *AlibabaWdkAxStoreQueryAxStoreQueryResponse {
    s.Longitude = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryAxStoreQueryResponse) SetAddress(v string) *AlibabaWdkAxStoreQueryAxStoreQueryResponse {
    s.Address = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryAxStoreQueryResponse) SetArea(v string) *AlibabaWdkAxStoreQueryAxStoreQueryResponse {
    s.Area = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryAxStoreQueryResponse) SetCity(v string) *AlibabaWdkAxStoreQueryAxStoreQueryResponse {
    s.City = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryAxStoreQueryResponse) SetProv(v string) *AlibabaWdkAxStoreQueryAxStoreQueryResponse {
    s.Prov = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryAxStoreQueryResponse) SetName(v string) *AlibabaWdkAxStoreQueryAxStoreQueryResponse {
    s.Name = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryAxStoreQueryResponse) SetCode(v string) *AlibabaWdkAxStoreQueryAxStoreQueryResponse {
    s.Code = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryAxStoreQueryResponse) SetMerchantCode(v string) *AlibabaWdkAxStoreQueryAxStoreQueryResponse {
    s.MerchantCode = &v
    return s
}
